Subject: disable branch modification

From: Ishaaq Chandy <[email-masked]>
Date: Sat, 18 Jul 2009 11:16:13 -0700 (PDT)

Hi all,
I've got a remote git repository that I want multiple users to be able to
push to. This is all set up fine and working beautifully. The only thing is,
I want to be able to lock down the branches on this remote repo, once set up
users should not be able to:

1. Create new branches on it
2. Delete existing branches from it
3. push non-fast-forward commits to it.

I think I'll need to write a pre-receive hook for this, but before I embark
on this, any helpful pointers would be appreciated.

Thanks,
Ishaaq
-- 
View this message in context: http://www.nabble.com/disable-branch-modification-tp24550469p24550469.html
Sent from the git mailing list archive at Nabble.com.